Subject: Re: FSL 64-bit DMA window question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 07 Jun 2013 18:55:09 +1000

On Fri, 2013-06-07 at 07:58 +0000, Zang Roy-R61911 wrote:
> 
> > -----Original Message-----
> > From: Benjamin Herrenschmidt [mailto:[email-masked]]
> > 
> > Hi Folks !
> > 
> > Is there any specific reason why you chose 1T (40 bit) as the location of
> > the 64-bit DMA window ?
> > 
> > It happens that most current radeon adapters cannot DMA there, they have
> > a 40-bit DMA limit. I seem to be getting things to work fine using a 39-
> > bit window, but I suppose that might collide with something else ?
> T4240 has 40bit physical address ability.
> "
> This chip's 40-bit, physical address map consists of local space and external address
> space. For the local address map, 32 local access windows (LAWs) define mapping
> within the local 40-bit (1 TB) address space. Inbound and outbound translation windows
> can map the chip into a larger system address space such as the RapidIO or PCIe 64-bit
> address environment. This functionality is included in the address translation and
> mapping units (ATMUs).
> 
> "
> That should be the reason to set the DMA window to 40-bit.

I see. However if the top half of that space isn't used by default with
whatever is our current setup, it makes sense to move down the 64-bit
DMA window to allow those adapters to function don't you think ?

I'm trying to turn those FSL boxes into nice ppc64 dev. workstations :-)

Cheers,
Ben.

> > 
> > Can you guys consider changing the default ?
> Any collide for 40bit?
> Roy